% Copyright (C) 2008-2011 - Michael Baudin
% Copyright (C) 2010-2011 - DIGITEO - Michael Baudin
%
% This file must be used under the terms of the 
% Creative Commons Attribution-ShareAlike 3.0 Unported License :
% http://creativecommons.org/licenses/by-sa/3.0/

\documentclass[12pt]{article}

\include{macros}

\begin{document}
\author{Micha\"el Baudin}
\date{September 2011}
\title{Programming in Scilab}
\maketitle
\begin{abstract}
In this document, we present programming in Scilab.
In the first part, we present the management of the memory 
of Scilab. 
In the second part, we present various data types and analyze 
programming methods associated with these data structures. 
In the third part, we present features to design flexible 
and robust functions. 
In the last part, we present methods which allow to 
achieve good performances.
We emphasize the use of vectorized functions, which allow to get 
the best performances, based on calls to highly optimized numerical libraries. 
Many examples are provided, which allow to see the effectiveness of the 
methods that we present.

\end{abstract}

\tableofcontents

\include{copyright}

\include{progscilab}

\clearpage

%% Bibliography


\addcontentsline{toc}{section}{Bibliography}
\bibliographystyle{plain}
\bibliography{progscilab}

\addcontentsline{toc}{section}{Index}
\printindex

\end{document}

